Skip to main content
PUT
Update resources

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры пути

id
integer
обязательно

Тело

name
string
обязательно
Maximum string length: 255
type
enum<integer>
  • 0 - Количество
  • 1 - Сумма
Доступные опции:
0,
1
Требуемый диапазон: -32768 <= x <= 32767
price
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
count
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
count_left
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$

Ответ

200 - application/json
id
integer
обязательно
read-only
name
string
обязательно
Maximum string length: 255
type
enum<integer>
  • 0 - Количество
  • 1 - Сумма
Доступные опции:
0,
1
Требуемый диапазон: -32768 <= x <= 32767
price
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
count
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
count_left
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$